import { LengthDefine, StyleVar } from '../type';
import { default as IConvert } from './convertInterface';

export default class LengthConvert implements IConvert<LengthDefine> {
    compare(v1?: LengthDefine, v2?: LengthDefine): boolean;
    toString(value?: LengthDefine, styleVarMap?: Record<string, StyleVar.Desc>): string | undefined;
    toStyle(value?: string): LengthDefine | undefined;
}
